Bug 16471 - /boot makes for a difficult booting
/boot makes for a difficult booting
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Depends On:
  Show dependency treegraph
Reported: 2000-08-17 16:50 EDT by Michal Jaegermann
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-08-22 15:31:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
commented listing of /boot after an upgrade (1.48 KB, text/plain)
2000-08-17 16:52 EDT, Michal Jaegermann
no flags Details
Could not verify problem above (see steps enclosed) (4.08 KB, text/plain)
2000-08-18 11:43 EDT, Brock Organ
no flags Details

  None (edit)
Description Michal Jaegermann 2000-08-17 16:50:43 EDT
Running an upgrade to create Pinstripe2 leaves /boot directory in an
"interesting" state.  In particular new initrd images are not created
which makes rather hard to restart a machine with a SCSI controller (a
disk driver is loaded as a module).  Booting from a floppy, if there
is one, luckily still works but newbies will be very confused.

(This particular installation boots via GRUB and none of locations
for lilo proposed by an installer is acceptable for different reasons).

Directory /boot includes, among other things, links created in
an installation and leading nowhere and superflous files.
I attach a listing of a resulting /boot with explanatory comments.
See also #15701 (less detailed and not about upgrades).

Comment 1 Michal Jaegermann 2000-08-17 16:52:21 EDT
Created attachment 2617 [details]
commented listing of /boot after an upgrade
Comment 2 Michael Fulbright 2000-08-17 18:34:01 EDT
Brock need to verify this asap on a SCSI system.
Comment 3 Michal Jaegermann 2000-08-17 18:55:59 EDT
This is probably irrelevant, but I should add that the system in question
has one IDE and one SCSI drive with no Linux at all on IDE (so it does not
figure anywhere in an installation/upgrade).
Comment 4 Brock Organ 2000-08-18 11:42:19 EDT
hmmm ... I could not reproduce this behavior ... :(

Do the steps results outlined in the attachment follow your steps ...?
Comment 5 Brock Organ 2000-08-18 11:43:44 EDT
Created attachment 2657 [details]
Could not verify problem above (see steps enclosed)
Comment 6 Michal Jaegermann 2000-08-18 16:55:41 EDT
A resulting /boot was not from SMP machine and an effect of an upgrade from
Pinstripe to RC1 (only minor kernel version changed as opposed to major).
But see also #15701 where /boot was also not really clean and a result
of an installation from scratch.  Note, in particular, a 'module-info'
link to nowhere.

A newly created boot floppy was correct but if that step would be skipped
for whatever reason (a machine without floppy, for example) then booting
it would be entertaining.
Comment 7 Erik Troan 2000-08-22 11:50:09 EDT
Have you tried an upgrade from 6.2 to RC[1|2]? We can't reproduce this at all.

Note You need to log in before you can comment on or make changes to this bug.